--- old/usr/src/head/nsswitch.h	Sat Aug  2 23:27:10 2014
+++ new/usr/src/head/nsswitch.h	Sat Aug  2 23:27:10 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -35,8 +37,6 @@
 #ifndef _NSSWITCH_H
 #define	_NSSWITCH_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -125,21 +125,11 @@
 		: \
 			__nsw_extended_action(lkp, err)))
 
-#ifdef __STDC__
-
 struct __nsw_switchconfig *__nsw_getconfig
 	(const char *, enum __nsw_parse_err *);
 int __nsw_freeconfig(struct __nsw_switchconfig *);
 action_t __nsw_extended_action(struct __nsw_lookup *, int);
 
-#else
-
-struct __nsw_switchconfig *__nsw_getconfig();
-int __nsw_freeconfig();
-action_t __nsw_extended_action();
-
-#endif /* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/pcsample.h	Sat Aug  2 23:27:10 2014
+++ new/usr/src/head/pcsample.h	Sat Aug  2 23:27:10 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1998 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef	_PCSAMPLE_H
 #define	_PCSAMPLE_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 
 #ifdef __cplusplus
@@ -38,11 +38,7 @@
 /*
  * PC sampling profiling
  */
-#ifdef __STDC__
 long pcsample(uintptr_t [], long);
-#else
-long pcsample();
-#endif /* __STDC__ */
 
 #ifdef __cplusplus
 }
--- old/usr/src/head/pfmt.h	Sat Aug  2 23:27:11 2014
+++ new/usr/src/head/pfmt.h	Sat Aug  2 23:27:11 2014
@@ -19,15 +19,15 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 #ifndef	_PFMT_H
 #define	_PFMT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <stdio.h>
 #ifndef va_args
 #include <stdarg.h>
@@ -64,7 +64,6 @@
 #define	MM_WARNING	2
 #define	MM_INFO		3
 
-#ifdef __STDC__
 int pfmt(FILE *, long, const char *, ...);
 int lfmt(FILE *, long, const char *, ...);
 int vpfmt(FILE *, long, const char *, va_list);
@@ -72,15 +71,6 @@
 const char *setcat(const char *);
 int setlabel(const char *);
 int addsev(int, const char *);
-#else
-int pfmt();
-int lfmt();
-int vpfmt();
-int vlfmt();
-char *setcat();
-int setlabel();
-int addsev();
-#endif
 
 #define	DB_NAME_LEN		15
 #define	MAXLABEL		25
--- old/usr/src/head/pkginfo.h	Sat Aug  2 23:27:11 2014
+++ new/usr/src/head/pkginfo.h	Sat Aug  2 23:27:11 2014
@@ -19,15 +19,15 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 #ifndef	_PKGINFO_H
 #define	_PKGINFO_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.5.1.2 */
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -51,15 +51,9 @@
 
 extern char	*pkgdir;
 
-#ifdef __STDC__
 extern char	*pkgparam(char *, char *);
 extern int	pkginfo(struct pkginfo *, char *, ...),
 		pkgnmchk(char *, char *, int);
-#else
-extern char	*pkgparam();
-extern int	pkginfo(),
-		pkgnmchk();
-#endif	/* __STDC__ */
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/poll.h	Sat Aug  2 23:27:11 2014
+++ new/usr/src/head/poll.h	Sat Aug  2 23:27:11 2014
@@ -20,6 +20,7 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -46,17 +47,9 @@
 
 #if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX)
 
-#if defined(__STDC__)
-
 extern int ppoll(struct pollfd *_RESTRICT_KYWD, nfds_t,
     const struct timespec *_RESTRICT_KYWD, const sigset_t *_RESTRICT_KYWD);
 
-#else	/* __STDC__ */
-
-extern int ppoll();
-
-#endif /* __STDC__ */
-
 #endif	/* defined(__EXTENSIONS__) ... */
 
 #ifdef __cplusplus
--- old/usr/src/head/priv.h	Sat Aug  2 23:27:11 2014
+++ new/usr/src/head/priv.h	Sat Aug  2 23:27:11 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -41,7 +43,6 @@
 /*
  * library functions prototype.
  */
-#if	defined(__STDC__)
 
 extern int setppriv(priv_op_t, priv_ptype_t, const priv_set_t *);
 extern int getppriv(priv_ptype_t, priv_set_t *);
@@ -78,46 +79,6 @@
 extern int priv_delset(priv_set_t *, const char *);
 extern boolean_t priv_ismember(const priv_set_t *, const char *);
 
-#else	/* Non ANSI */
-
-extern int setppriv(/* priv_op_t, priv_ptype_t, const priv_set_t * */);
-extern int getppriv(/* priv_ptype_t, priv_set_t * */);
-extern int setpflags(/* uint_t, uint_t */);
-extern uint_t getpflags(/* uint_t */);
-extern priv_impl_info_t *getprivimplinfo(/* void */);
-
-extern int priv_set(/* priv_op_t, priv_ptype_t, ... */);
-extern boolean_t priv_ineffect(/* const char * */);
-extern priv_set_t *priv_str_to_set(/*
-			    const char *, const char *, const char ** */);
-extern char *priv_set_to_str(/* const priv_set_t *, char, int */);
-
-extern int priv_getbyname(/* const char * */);
-extern char *priv_getbynum(/* int */);
-extern int priv_getsetbyname(/* const char * */);
-extern char *priv_getsetbynum(/* int */);
-extern char *priv_gettext(/* const char * */);
-
-extern priv_set_t *priv_allocset(/* void */);
-extern void priv_freeset(/* priv_set_t * */);
-
-extern void priv_emptyset(/* priv_set_t * */);
-extern void priv_basicset(/* priv_set_t * */);
-extern void priv_fillset(/* priv_set_t * */);
-extern boolean_t priv_isemptyset(/* const priv_set_t * */);
-extern boolean_t priv_isfullset(/* const priv_set_t * */);
-extern boolean_t priv_isequalset(/* const priv_set_t *, const priv_set_t * */);
-extern boolean_t priv_issubset(/* const priv_set_t *, const priv_set_t * */);
-extern void priv_intersect(/* const priv_set_t *, priv_set_t * */);
-extern void priv_union(/* const priv_set_t *, priv_set_t * */);
-extern void priv_inverse(/* priv_set_t * */);
-extern int priv_addset(/* priv_set_t *, const char * */);
-extern void priv_copyset(/* const priv_set_t *, priv_set_t * */);
-extern int priv_delset(/* priv_set_t *, const char * */);
-extern boolean_t priv_ismember(/* const priv_set_t *, const char * */);
-
-#endif	/* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/prof.h	Sat Aug  2 23:27:11 2014
+++ new/usr/src/head/prof.h	Sat Aug  2 23:27:11 2014
@@ -24,6 +24,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1996-1999 by Sun Microsystems, Inc.
  * All rights reserved.
  */
@@ -31,8 +33,6 @@
 #ifndef	_PROF_H
 #define	_PROF_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.10.1.4 */
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -42,8 +42,6 @@
 #else
 #undef	MARK
 
-#if defined(__STDC__)
-
 #if defined(__i386)
 #define	MARK(K)	{\
 		asm("	.data"); \
@@ -67,33 +65,6 @@
 		}
 #endif
 
-#else	/* __STDC__ */
-
-#if defined(__i386)
-#define	MARK(K)	{\
-		asm("	.data"); \
-		asm("	.align 4"); \
-		asm(".K.:"); \
-		asm("	.long 0"); \
-		asm("	.text"); \
-		asm("M.K:"); \
-		asm("	movl	$.K., %edx"); \
-		asm("	call _mcount"); \
-		}
-#endif
-
-#if defined(__sparc)
-#define	MARK(K)	{\
-		asm("	.reserve	.K., 4, \".bss\", 4"); \
-		asm("M.K:"); \
-		asm("	sethi	%hi(.K.), %o0"); \
-		asm("	call	_mcount"); \
-		asm("	or	%o0, %lo(.K.), %o0"); \
-		}
-#endif
-
-#endif	/* __STDC__ */
-
 #endif	/* MARK */
 
 #ifdef	__cplusplus
--- old/usr/src/head/prof_attr.h	Sat Aug  2 23:27:11 2014
+++ new/usr/src/head/prof_attr.h	Sat Aug  2 23:27:11 2014
@@ -19,6 +19,7 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -88,7 +89,6 @@
 	kva_t  *attr;	/* array of key-value pair attributes */
 } profattr_t;
 
-#ifdef    __STDC__
 extern profattr_t *getprofnam(const char *);
 extern profattr_t *getprofattr(void);
 extern void getproflist(const char *, char **, int *);
@@ -97,18 +97,6 @@
 extern void free_profattr(profattr_t *);
 extern void free_proflist(char **, int);
 
-#else				/* not __STDC__ */
-
-extern profattr_t *getprofnam();
-extern profattr_t *getprofattr();
-extern void getproflist();
-extern int setprofattr();
-extern int endprofattr();
-extern void free_profattr();
-extern void free_proflist();
-
-#endif
-
 #ifdef __cplusplus
 }
 #endif
--- old/usr/src/head/pthread.h	Sat Aug  2 23:27:11 2014
+++ new/usr/src/head/pthread.h	Sat Aug  2 23:27:11 2014
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -150,20 +152,10 @@
 	uintptr_t	pthread_cleanup_pad[4];
 } _cleanup_t;
 
-#ifdef	__STDC__
-
 void	__pthread_cleanup_push(void (*)(void *), void *, caddr_t, _cleanup_t *);
 void	__pthread_cleanup_pop(int, _cleanup_t *);
 caddr_t	_getfp(void);
 
-#else	/* __STDC__ */
-
-void	__pthread_cleanup_push();
-void	__pthread_cleanup_pop();
-caddr_t	_getfp();
-
-#endif	/* __STDC__ */
-
 #if __cplusplus
 extern "C" {
 #endif
@@ -183,8 +175,6 @@
 	__pthread_cleanup_pop(ex, &_cleanup_info); \
 }
 
-#ifdef	__STDC__
-
 /*
  * function prototypes - thread related calls
  */
@@ -347,122 +337,6 @@
 extern int pthread_mutexattr_getrobust_np(
 	const pthread_mutexattr_t *_RESTRICT_KYWD, int *_RESTRICT_KYWD);
 
-#else	/* __STDC__ */
-
-/*
- * function prototypes - thread related calls
- */
-extern int pthread_atfork();
-extern int pthread_attr_init();
-extern int pthread_attr_destroy();
-extern int pthread_attr_setstack();
-extern int pthread_attr_getstack();
-extern int pthread_attr_setstacksize();
-extern int pthread_attr_getstacksize();
-extern int pthread_attr_setstackaddr();
-extern int pthread_attr_getstackaddr();
-extern int pthread_attr_setdetachstate();
-extern int pthread_attr_getdetachstate();
-extern int pthread_attr_setscope();
-extern int pthread_attr_getscope();
-extern int pthread_attr_setinheritsched();
-extern int pthread_attr_getinheritsched();
-extern int pthread_attr_setschedpolicy();
-extern int pthread_attr_getschedpolicy();
-extern int pthread_attr_setschedparam();
-extern int pthread_attr_getschedparam();
-extern int pthread_create();
-extern int pthread_once();
-extern int pthread_join();
-extern int pthread_detach();
-extern void pthread_exit();
-extern int pthread_cancel();
-extern int pthread_setschedparam();
-extern int pthread_getschedparam();
-extern int pthread_setschedprio();
-extern int pthread_setcancelstate();
-extern int pthread_setcanceltype();
-extern void pthread_testcancel();
-extern int pthread_equal();
-extern int pthread_key_create();
-extern int pthread_key_create_once_np();
-extern int pthread_key_delete();
-extern int pthread_setspecific();
-extern void *pthread_getspecific();
-extern pthread_t pthread_self();
-/*
- * function prototypes - synchronization related calls
- */
-extern int pthread_mutexattr_init();
-extern int pthread_mutexattr_destroy();
-extern int pthread_mutexattr_setpshared();
-extern int pthread_mutexattr_getpshared();
-extern int pthread_mutexattr_setprotocol();
-extern int pthread_mutexattr_getprotocol();
-extern int pthread_mutexattr_setprioceiling();
-extern int pthread_mutexattr_getprioceiling();
-extern int pthread_mutexattr_setrobust();
-extern int pthread_mutexattr_getrobust();
-extern int pthread_mutex_init();
-extern int pthread_mutex_consistent();
-extern int pthread_mutex_destroy();
-extern int pthread_mutex_lock();
-extern int pthread_mutex_timedlock();
-extern int pthread_mutex_reltimedlock_np();
-extern int pthread_mutex_unlock();
-extern int pthread_mutex_trylock();
-extern int pthread_mutex_setprioceiling();
-extern int pthread_mutex_getprioceiling();
-extern int pthread_condattr_init();
-extern int pthread_condattr_destroy();
-extern int pthread_condattr_setclock();
-extern int pthread_condattr_getclock();
-extern int pthread_condattr_setpshared();
-extern int pthread_condattr_getpshared();
-extern int pthread_cond_init();
-extern int pthread_cond_destroy();
-extern int pthread_cond_broadcast();
-extern int pthread_cond_signal();
-extern int pthread_cond_wait();
-extern int pthread_cond_timedwait();
-extern int pthread_cond_reltimedwait_np();
-extern int pthread_attr_getguardsize();
-extern int pthread_attr_setguardsize();
-extern int pthread_getconcurrency();
-extern int pthread_setconcurrency();
-extern int pthread_mutexattr_settype();
-extern int pthread_mutexattr_gettype();
-extern int pthread_rwlock_init();
-extern int pthread_rwlock_destroy();
-extern int pthread_rwlock_rdlock();
-extern int pthread_rwlock_tryrdlock();
-extern int pthread_rwlock_wrlock();
-extern int pthread_rwlock_trywrlock();
-extern int pthread_rwlock_unlock();
-extern int pthread_rwlockattr_init();
-extern int pthread_rwlockattr_destroy();
-extern int pthread_rwlockattr_getpshared();
-extern int pthread_rwlockattr_setpshared();
-extern int pthread_spin_init();
-extern int pthread_spin_destroy();
-extern int pthread_spin_lock();
-extern int pthread_spin_trylock();
-extern int pthread_spin_unlock();
-extern int pthread_barrierattr_init();
-extern int pthread_barrierattr_destroy();
-extern int pthread_barrierattr_setpshared();
-extern int pthread_barrierattr_getpshared();
-extern int pthread_barrier_init();
-extern int pthread_barrier_destroy();
-extern int pthread_barrier_wait();
-
-/* Historical names -- present only for binary compatibility */
-extern int pthread_mutex_consistent_np();
-extern int pthread_mutexattr_setrobust_np();
-extern int pthread_mutexattr_getrobust_np();
-
-#endif	/* __STDC__ */
-
 #endif	/* _ASM */
 
 #ifdef	__cplusplus
--- old/usr/src/head/pw.h	Sat Aug  2 23:27:12 2014
+++ new/usr/src/head/pw.h	Sat Aug  2 23:27:12 2014
@@ -19,31 +19,23 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 #ifndef	_PW_H
 #define	_PW_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.2	*/
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
 
-#if defined(__STDC__)
-
 extern char *logname(void);
 extern char *regcmp(const char *, ...);
 extern char *regex(const char *, const char *, ...);
-#else
-extern char *logname();
-extern char *regcmp();
-extern char *regex();
 
-#endif
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/pwd.h	Sat Aug  2 23:27:12 2014
+++ new/usr/src/head/pwd.h	Sat Aug  2 23:27:12 2014
@@ -24,6 +24,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +33,6 @@
 #ifndef _PWD_H
 #define	_PWD_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.3.1.9 */
-
 #include <sys/feature_tests.h>
 
 #include <sys/types.h>
@@ -66,8 +66,6 @@
 };
 #endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
 
-#if defined(__STDC__)
-
 extern struct passwd *getpwuid(uid_t);		/* MT-unsafe */
 extern struct passwd *getpwnam(const char *);	/* MT-unsafe */
 
@@ -85,28 +83,6 @@
 extern void setpwent(void);
 #endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) ... */
 
-#else  /* (__STDC__) */
-
-extern struct passwd *getpwuid();		/* MT-unsafe */
-extern struct passwd *getpwnam();		/* MT-unsafe */
-
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern struct passwd *getpwent_r();
-extern struct passwd *fgetpwent_r();
-
-extern struct passwd *fgetpwent();		/* MT-unsafe */
-extern int putpwent();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || \
-	defined(__EXTENSIONS__)
-extern void endpwent();
-extern struct passwd *getpwent();		/* MT-unsafe */
-extern void setpwent();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) ... */
-
-#endif /* (__STDC__) */
-
 /*
  * getpwuid_r() & getpwnam_r() prototypes are defined here.
  */
@@ -146,8 +122,6 @@
 #if !defined(__XOPEN_OR_POSIX) || (_POSIX_C_SOURCE - 0 >= 199506L) || \
 	defined(_POSIX_PTHREAD_SEMANTICS) || defined(__EXTENSIONS__)
 
-#if defined(__STDC__)
-
 #if (_POSIX_C_SOURCE - 0 >= 199506L) || defined(_POSIX_PTHREAD_SEMANTICS)
 
 #ifdef __PRAGMA_REDEFINE_EXTNAME
@@ -193,60 +167,6 @@
 
 #endif  /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
 
-#else  /* __STDC__ */
-
-#if (_POSIX_C_SOURCE - 0 >= 199506L) || defined(_POSIX_PTHREAD_SEMANTICS)
-
-#ifdef __PRAGMA_REDEFINE_EXTNAME
-#pragma redefine_extname getpwuid_r __posix_getpwuid_r
-#pragma redefine_extname getpwnam_r __posix_getpwnam_r
-extern int getpwuid_r();
-extern int getpwnam_r();
-#else  /* __PRAGMA_REDEFINE_EXTNAME */
-
-extern int __posix_getpwuid_r();
-extern int __posix_getpwnam_r();
-
-#ifdef	__lint
-
-#define	getpwuid_r __posix_getpwuid_r
-#define	getpwnam_r __posix_getpwnam_r
-
-#else	/* !__lint */
-
-static int
-getpwuid_r(__uid, __pwd, __buf, __len, __res)
-	uid_t __uid;
-	struct passwd *__pwd;
-	char *__buf;
-	int __len;
-	struct passwd **__res;
-{
-	return (__posix_getpwuid_r(__uid, __pwd, __buf, __len, __res));
-}
-static int
-getpwnam_r(__cb, __pwd, __buf, __len, __res)
-	char *__cb;
-	struct passwd *__pwd;
-	char *__buf;
-	int __len;
-	struct passwd **__res;
-{
-	return (__posix_getpwnam_r(__cb, __pwd, __buf, __len, __res));
-}
-
-#endif /* !__lint */
-#endif /* __PRAGMA_REDEFINE_EXTNAME */
-
-#else  /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
-
-extern struct passwd *getpwuid_r();
-extern struct passwd *getpwnam_r();
-
-#endif /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
-
-#endif /* __STDC__ */
-
 #endif /* !defined(__XOPEN_OR_POSIX) || (_POSIX_C_SOURCE - 0 >= 199506L)... */
 
 #ifdef	__cplusplus
--- old/usr/src/head/re_comp.h	Sat Aug  2 23:27:12 2014
+++ new/usr/src/head/re_comp.h	Sat Aug  2 23:27:12 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1995, 2000 by Sun Microsystems, Inc.
  * All rights reserved.
  */
@@ -27,8 +29,6 @@
 #ifndef	_RE_COMP_H
 #define	_RE_COMP_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/feature_tests.h>
 
 #ifdef	__cplusplus
@@ -35,18 +35,9 @@
 extern "C" {
 #endif
 
-#if defined(__STDC__)
-
 extern char *re_comp(const char *);
 extern int re_exec(const char *);
 
-#else
-
-extern char *re_comp();
-extern int re_exec();
-
-#endif	/* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/regex.h	Sat Aug  2 23:27:12 2014
+++ new/usr/src/head/regex.h	Sat Aug  2 23:27:12 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -142,11 +144,7 @@
 
 /* subexpression positions */
 typedef struct {
-#ifdef __STDC__
 	const char	*rm_sp, *rm_ep;	/* Start pointer, end pointer */
-#else
-	char		*rm_sp, *rm_ep;	/* Start pointer, end pointer */
-#endif
 	regoff_t	rm_so, rm_eo;	/* Start offset, end offset */
 	int		rm_ss, rm_es;	/* Used internally */
 } regmatch_t;
@@ -157,8 +155,6 @@
  * on wide characters.
  */
 
-#if defined(__STDC__)
-
 extern int regcomp(regex_t *_RESTRICT_KYWD, const char *_RESTRICT_KYWD, int);
 extern int regexec(const regex_t *_RESTRICT_KYWD, const char *_RESTRICT_KYWD,
 	size_t, regmatch_t *_RESTRICT_KYWD, int);
@@ -166,15 +162,6 @@
 	char *_RESTRICT_KYWD, size_t);
 extern void regfree(regex_t *);
 
-#else  /* defined(__STDC__) */
-
-extern int regcomp();
-extern int regexec();
-extern size_t regerror();
-extern void regfree();
-
-#endif  /* defined(__STDC__) */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/regexp.h	Sat Aug  2 23:27:12 2014
+++ new/usr/src/head/regexp.h	Sat Aug  2 23:27:12 2014
@@ -21,8 +21,9 @@
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -30,8 +31,6 @@
 #ifndef _REGEXP_H
 #define	_REGEXP_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.9	*/
-
 #include <string.h>
 
 #ifdef	__cplusplus
@@ -70,23 +69,11 @@
 
 static unsigned char	bittab[] = { 1, 2, 4, 8, 16, 32, 64, 128 };
 
-#ifdef	__STDC__
 int advance(const char *lp, const char *ep);
 static void getrnge(const char *str);
-#else
-int advance();
-static void getrnge();
-#endif
 
 char *
-#ifdef	__STDC__
 compile(char *instring, char *ep, const char *endbuf, int seof)
-#else
-compile(instring, ep, endbuf, seof)
-register char *ep;
-char *instring, *endbuf;
-int seof;
-#endif
 {
 	INIT	/* Dependent declarations and initializations */
 	register int c;
@@ -315,14 +302,8 @@
 	/*NOTREACHED*/
 }
 
-#ifdef	__STDC__
 int
 step(const char *p1, const char *p2)
-#else
-int
-step(p1, p2)
-register char *p1, *p2;
-#endif
 {
 	char c;
 
@@ -355,18 +336,9 @@
 }
 
 int
-#ifdef	__STDC__
 advance(const char *lp, const char *ep)
-#else
-advance(lp, ep)
-register char *lp, *ep;
-#endif
 {
-#ifdef	__STDC__
 	const char *curlp;
-#else
-	register char *curlp;
-#endif
 	int c;
 	char *bbeg;
 	register char neg;
@@ -580,12 +552,7 @@
 }
 
 static void
-#ifdef	__STDC__
 getrnge(const char *str)
-#else
-getrnge(str)
-register char *str;
-#endif
 {
 	low = *str++ & 0377;
 	size = ((*str & 0377) == 255)? 20000: (*str &0377) - low;
--- old/usr/src/head/resolv.h	Sat Aug  2 23:27:12 2014
+++ new/usr/src/head/resolv.h	Sat Aug  2 23:27:12 2014
@@ -1,4 +1,6 @@
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  *
@@ -130,15 +132,9 @@
 #define	_PATH_RESCONF		"/etc/resolv.conf"
 #endif
 
-#ifdef __STDC__
 #ifndef __P
 #define	__P(x)	x
 #endif
-#else
-#ifndef __P
-#define	__P(x)	()
-#endif
-#endif /* __STDC__ */
 
 typedef enum { res_goahead, res_nextns, res_modified, res_done, res_error }
 	res_sendhookact;
--- old/usr/src/head/rpcsvc/nis_db.h	Sat Aug  2 23:27:12 2014
+++ new/usr/src/head/rpcsvc/nis_db.h	Sat Aug  2 23:27:12 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1991,1997-1998 by Sun Microsystems, Inc.
  * All rights reserved.
  */
@@ -34,8 +36,6 @@
 #ifndef	_RPCSVC_NIS_DB_H
 #define	_RPCSVC_NIS_DB_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <rpc/rpc.h>
 #include <rpcsvc/nis.h>
 
@@ -89,8 +89,6 @@
  * Prototypes for the database functions.
  */
 
-#if defined(__STDC__) || defined(__cplusplus)
-
 extern bool_t db_initialize(char *);
 extern db_status db_create_table(char *, table_obj *);
 extern db_status db_destroy_table(char *);
@@ -106,25 +104,6 @@
 extern db_status db_unload_table(char *);
 extern void db_free_result(db_result *);
 
-#else /* Non-prototype definitions */
-
-extern bool_t db_initialize();
-extern db_status db_create_table();
-extern db_status db_destroy_table();
-extern db_result *db_first_entry();
-extern db_result *db_next_entry();
-extern db_result *db_reset_next_entry();
-extern db_result *db_list_entries();
-extern db_result *db_add_entry();
-extern db_result *db_remove_entry();
-extern db_status db_checkpoint();
-extern db_status db_standby();
-extern db_status db_table_exists();
-extern db_status db_unload_table();
-extern void db_free_result();
-
-#endif  /* defined(__STDC__) || defined(__cplusplus) */
-
 #ifdef __cplusplus
 }
 #endif
--- old/usr/src/head/rpcsvc/nislib.h	Sat Aug  2 23:27:12 2014
+++ new/usr/src/head/rpcsvc/nislib.h	Sat Aug  2 23:27:12 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,7 @@
  * nislib.h
  *
  * This file contains the interfaces that are visible in the SunOS 5.x
- * implementation of NIS Plus. When using C++ the defined __cplusplus and
- * __STDC__ should both be true.
+ * implementation of NIS Plus.
  */
 
 #ifndef	_RPCSVC_NISLIB_H
@@ -39,7 +40,6 @@
 extern "C" {
 #endif
 
-#ifdef __STDC__
 extern name_pos nis_dir_cmp(nis_name, nis_name);
 
 extern nis_name nis_domain_of(nis_name);
@@ -61,32 +61,6 @@
 CLIENT *__nis_clnt_create(int, struct netconfig *, char *, struct netbuf *,
 			int, int, int, int, int);
 
-#else
-
-/* Non-prototype definitions (old fashioned C) */
-
-extern name_pos nis_dir_cmp();
-
-extern nis_name nis_domain_of();
-extern nis_name nis_leaf_of();
-extern nis_name nis_leaf_of_r();
-extern nis_name nis_name_of();
-extern nis_name nis_local_group();
-extern nis_name nis_local_directory();
-extern nis_name nis_local_host();
-
-extern void nis_destroy_object();
-extern nis_object *nis_clone_object();
-
-extern nis_object *nis_read_obj();
-extern int nis_write_obj();
-extern void *nis_get_static_storage();
-extern nis_name __nis_rpc_domain();
-
-CLIENT *__nis_clnt_create();
-
-#endif
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/rpcsvc/yp_prot.h	Sat Aug  2 23:27:13 2014
+++ new/usr/src/head/rpcsvc/yp_prot.h	Sat Aug  2 23:27:13 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -35,8 +37,6 @@
 #ifndef	_RPCSVC_YP_PROT_H
 #define	_RPCSVC_YP_PROT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <rpc/rpc.h>
 #include <rpcsvc/ypclnt.h>
 #include <ndbm.h>
@@ -360,7 +360,6 @@
 #define	YPPUSH_REFUSED	(-14)	/* Transfer request refused by ypserv */
 #define	YPPUSH_NOALIAS	(-15)	/* Alias not found for map or domain */
 
-#ifdef __STDC__
 extern bool xdr_datum(XDR *, datum *);
 extern bool xdr_ypdomain_wrap_string(XDR *, char **);
 extern bool xdr_ypmap_wrap_string(XDR *, char **);
@@ -378,27 +377,6 @@
 extern bool xdr_ypall(XDR *, struct ypall_callback *);
 extern bool xdr_ypresp_maplist(XDR *, struct ypresp_maplist *);
 
-#else
-
-extern bool xdr_datum();
-extern bool xdr_ypdomain_wrap_string();
-extern bool xdr_ypmap_wrap_string();
-extern bool xdr_ypreq_key();
-extern bool xdr_ypreq_nokey();
-extern bool xdr_ypreq_xfr();
-extern bool xdr_ypreq_newxfr();
-extern bool xdr_ypresp_val();
-extern bool xdr_ypresp_key_val();
-extern bool xdr_yp_inaddr();
-extern bool xdr_ypmap_parms();
-extern bool xdr_ypowner_wrap_string();
-extern bool xdr_yppushresp_xfr();
-extern bool xdr_ypresp_order();
-extern bool xdr_ypresp_master();
-extern bool xdr_ypall();
-extern bool xdr_ypresp_maplist();
-#endif	/* __STDC__ */
-
 #ifdef __cplusplus
 }
 #endif
--- old/usr/src/head/rpcsvc/ypclnt.h	Sat Aug  2 23:27:13 2014
+++ new/usr/src/head/rpcsvc/ypclnt.h	Sat Aug  2 23:27:13 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1989 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -35,8 +37,6 @@
 #ifndef	_RPCSVC_YPCLNT_H
 #define	_RPCSVC_YPCLNT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -100,7 +100,6 @@
  * External yp client function references.
  */
 
-#ifdef __STDC__
 extern int yp_bind(char *);
 extern void yp_unbind(char *);
 extern int yp_get_default_domain(char **);
@@ -114,23 +113,6 @@
 extern int ypprot_err(int);
 extern int yp_update(char *, char *, unsigned,  char *, int, char *, int);
 
-#else
-
-extern int yp_bind();
-extern int __yp_dobind();
-extern void yp_unbind();
-extern int yp_get_default_domain();
-extern int yp_match();
-extern int yp_first();
-extern int yp_next();
-extern int yp_master();
-extern int yp_order();
-extern int yp_all();
-extern char *yperr_string();
-extern int ypprot_err();
-extern int yp_update();
-#endif	/* __STDC__ */
-
 /*
  * Global yp data structures
  */
--- old/usr/src/head/rtld_db.h	Sat Aug  2 23:27:13 2014
+++ new/usr/src/head/rtld_db.h	Sat Aug  2 23:27:13 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -26,9 +28,6 @@
 #ifndef	_RTLD_DB_H
 #define	_RTLD_DB_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -135,11 +134,7 @@
 #define	RD_CTL_SET_HELPPATH	0x01	/* Set the path used to find helpers */
 
 typedef struct rd_agent rd_agent_t;
-#ifdef __STDC__
 typedef int rl_iter_f(const rd_loadobj_t *, void *);
-#else
-typedef int rl_iter_f();
-#endif
 
 
 /*
@@ -175,7 +170,6 @@
 /*
  * librtld_db.so entry points
  */
-#ifdef __STDC__
 extern void		rd_delete(rd_agent_t *);
 extern char		*rd_errstr(rd_err_e rderr);
 extern rd_err_e		rd_event_addr(rd_agent_t *, rd_event_e, rd_notify_t *);
@@ -192,22 +186,6 @@
 				psaddr_t, rd_plt_info_t *);
 extern rd_err_e		rd_get_dyns(rd_agent_t *, psaddr_t, void **, size_t *);
 extern rd_err_e		rd_reset(struct rd_agent *);
-#else /* !__STDC__ */
-extern void		rd_delete();
-extern char		*rd_errstr();
-extern rd_err_e		rd_event_addr();
-extern rd_err_e		rd_event_enable();
-extern rd_err_e		rd_event_getmsg();
-extern rd_err_e		rd_init();
-extern rd_err_e		rd_ctl();
-extern rd_err_e		rd_loadobj_iter();
-extern void		rd_log();
-extern rd_agent_t	*rd_new();
-extern rd_err_e		rd_objpad_enable();
-extern rd_err_e		rd_plt_resolution();
-extern rd_err_e		rd_get_dyns();
-extern rd_err_e		rd_reset();
-#endif /* !__STDC__ */
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/sac.h	Sat Aug  2 23:27:13 2014
+++ new/usr/src/head/sac.h	Sat Aug  2 23:27:13 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1997-1998 by Sun Microsystems, Inc.
  * All rights reserved.
  */
@@ -31,8 +33,6 @@
 #ifndef _SAC_H
 #define	_SAC_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.4 */
-
 #include <sys/types.h>
 
 #ifdef	__cplusplus
@@ -143,11 +143,7 @@
 #define	E_RECOVER	9	/* in recovery */
 #define	E_SACNOTRUN	10	/* sac daemon is not running */
 
-#ifdef __STDC__
 extern int	doconfig(int, char *, long);
-#else
-extern int	doconfig();
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/sched.h	Sat Aug  2 23:27:13 2014
+++ new/usr/src/head/sched.h	Sat Aug  2 23:27:13 2014
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef	_SCHED_H
 #define	_SCHED_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <time.h>
 
@@ -56,7 +56,6 @@
 /*
  * function prototypes
  */
-#if	defined(__STDC__)
 int	sched_getparam(pid_t, struct sched_param *);
 int	sched_setparam(pid_t, const struct sched_param *);
 int	sched_getscheduler(pid_t);
@@ -65,16 +64,6 @@
 int	sched_get_priority_max(int);
 int	sched_get_priority_min(int);
 int	sched_rr_get_interval(pid_t, struct timespec *);
-#else
-int	sched_getparam();
-int	sched_setparam();
-int	sched_getscheduler();
-int	sched_setscheduler();
-int	sched_yield();
-int	sched_get_priority_max();
-int	sched_get_priority_min();
-int	sched_rr_get_interval();
-#endif	/* __STDC__ */
 
 #ifdef	__cplusplus
 }
